|  | Home · All Classes · Modules

# QStyleOptionSizeGrip Class Reference
[QtGui module]

The QStyleOptionSizeGrip class is used to describe the parameter for drawing a size grip. More...

Inherits QStyleOptionComplex.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionSizeGrip other)

### Members

- Qt.Corner corner

## Detailed Description

The QStyleOptionSizeGrip class is used to describe the parameter for drawing a size grip.

QStyleOptionButton contains all the information that QStyle functions need to draw QSizeGrip.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

## Type Documentation

### QStyleOptionSizeGrip.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionSizeGrip.Type` | `SO_SizeGrip` | The type of style option provided (SO_TabBarBase for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionSizeGrip.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionSizeGrip.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionSizeGrip.__init__ (self)

Constructs a QStyleOptionSizeGrip.

### QStyleOptionSizeGrip.__init__ (self, QStyleOptionSizeGrip other)

Constructs a copy of the other style option.

## Member Documentation

### Qt.Corner corner

The corner in which the size grip is located.